Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection.stdclasses
[Java] Class CachedClosureClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.CachedClosureClass

    public class CachedClosureClass
    extends CachedClass

Field Summary

Fields inherited from class CachedClass
EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods

Constructor Summary
`CachedClosureClass(java.lang.Class klazz, ClassInfo classInfo)`

Method Summary
`int` | `getMaximumNumberOfParameters()`
`java.lang.Class[]` | `getParameterTypes()`

Methods inherited from class CachedClass
addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### CachedClosureClass

    public CachedClosureClass(java.lang.Class klazz, ClassInfo classInfo)

Method Detail

### getMaximumNumberOfParameters

    public int getMaximumNumberOfParameters()

### getParameterTypes

    public java.lang.Class[] getParameterTypes()

Groovy Documentation